> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service account details

> Get service account details



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/resources/rbac/serviceaccounts/{uid}
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/resources/rbac/serviceaccounts/{uid}:
    get:
      tags:
        - Resources
      summary: Get service account details
      description: Get service account details
      parameters:
        - description: Account id
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Service account uid
          in: path
          name: uid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceAccount'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    ServiceAccount:
      properties:
        account_id:
          type: string
        assigned_roles:
          items:
            $ref: '#/components/schemas/RBACResource'
          type: array
        cluster_id:
          type: string
        cluster_role_bindings:
          items:
            $ref: '#/components/schemas/ClusterRoleBinding'
          type: array
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        name:
          type: string
        namespace:
          type: string
        permissions:
          items:
            $ref: '#/components/schemas/Rule'
          type: array
        resource_version:
          type: string
        role_bindings:
          items:
            $ref: '#/components/schemas/RoleBinding'
          type: array
        uid:
          type: string
        updated_at:
          type: string
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    RBACResource:
      properties:
        kind:
          type: string
        name:
          type: string
        namespace:
          type: string
        uid:
          type: string
        account_id:
          type: string
        cluster_id:
          type: string
        created_at:
          type: string
        id:
          type: string
        updated_at:
          type: string
      type: object
    ClusterRoleBinding:
      properties:
        account_id:
          type: string
        cluster_id:
          type: string
        cluster_role:
          $ref: '#/components/schemas/ClusterRole'
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        groups:
          items:
            $ref: '#/components/schemas/Group'
          type: array
        name:
          type: string
        resource_version:
          type: string
        role_ref_api_group:
          type: string
        role_ref_kind:
          type: string
        role_ref_name:
          type: string
        service_accounts:
          items:
            $ref: '#/components/schemas/ServiceAccount'
          type: array
        uid:
          type: string
        updated_at:
          type: string
        users:
          items:
            $ref: '#/components/schemas/User'
          type: array
      type: object
    Graph:
      properties:
        edges:
          items:
            $ref: '#/components/schemas/Edge'
          type: array
        nodes:
          items:
            $ref: '#/components/schemas/Node'
          type: array
      type: object
    Rule:
      properties:
        category:
          type: string
        content: {}
        created_at:
          type: string
        deleted_at:
          type: string
        description:
          type: string
        id:
          type: string
        severity:
          type: string
        status:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
        title:
          type: string
        type:
          type: string
        updated_at:
          type: string
        version:
          type: string
        api_groups:
          items:
            type: string
          type: array
        cluster_role_uid:
          type: string
        namespace:
          type: string
        resource_names:
          items:
            type: string
          type: array
        resources:
          items:
            type: string
          type: array
        role_uid:
          type: string
        verbs:
          items:
            type: string
          type: array
      type: object
    RoleBinding:
      properties:
        account_id:
          type: string
        cluster_id:
          type: string
        cluster_role:
          $ref: '#/components/schemas/ClusterRole'
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        groups:
          items:
            $ref: '#/components/schemas/Group'
          type: array
        name:
          type: string
        namespace:
          type: string
        resource_version:
          type: string
        role:
          $ref: '#/components/schemas/Role'
        role_ref_api_group:
          type: string
        role_ref_kind:
          type: string
        role_ref_name:
          type: string
        service_accounts:
          items:
            $ref: '#/components/schemas/ServiceAccount'
          type: array
        uid:
          type: string
        updated_at:
          type: string
        users:
          items:
            $ref: '#/components/schemas/User'
          type: array
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
    ClusterRole:
      properties:
        account_id:
          type: string
        assigned_subjects:
          items:
            $ref: '#/components/schemas/RBACResource'
          type: array
        cluster_id:
          type: string
        cluster_role_bindings:
          items:
            $ref: '#/components/schemas/ClusterRoleBinding'
          type: array
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        name:
          type: string
        resource_version:
          type: string
        role_bindings:
          items:
            $ref: '#/components/schemas/RoleBinding'
          type: array
        rules:
          items:
            $ref: '#/components/schemas/Rule'
          type: array
        uid:
          type: string
        updated_at:
          type: string
      type: object
    Group:
      properties:
        account_id:
          type: string
        api_group:
          type: string
        assigned_roles:
          items:
            $ref: '#/components/schemas/RBACResource'
          type: array
        cluster_id:
          type: string
        cluster_role_bindings:
          items:
            $ref: '#/components/schemas/ClusterRoleBinding'
          type: array
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        id:
          type: string
        name:
          type: string
        namespace:
          type: string
        permissions:
          items:
            $ref: '#/components/schemas/Rule'
          type: array
        role_bindings:
          items:
            $ref: '#/components/schemas/RoleBinding'
          type: array
        updated_at:
          type: string
      type: object
    User:
      properties:
        account_id:
          type: string
        api_group:
          type: string
        assigned_roles:
          items:
            $ref: '#/components/schemas/RBACResource'
          type: array
        cluster_id:
          type: string
        cluster_role_bindings:
          items:
            $ref: '#/components/schemas/ClusterRoleBinding'
          type: array
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        id:
          type: string
        name:
          type: string
        namespace:
          type: string
        permissions:
          items:
            $ref: '#/components/schemas/Rule'
          type: array
        role_bindings:
          items:
            $ref: '#/components/schemas/RoleBinding'
          type: array
        updated_at:
          type: string
      type: object
    Edge:
      properties:
        from_id:
          type: string
        id:
          type: string
        to_id:
          type: string
        type:
          type: string
      type: object
    Node:
      properties:
        id:
          type: string
        properties:
          additionalProperties: {}
          type: object
        type:
          type: string
      type: object
    Tag:
      properties:
        key:
          type: string
        source:
          type: string
        value:
          type: string
      type: object
    Role:
      properties:
        account_id:
          type: string
        assigned_subjects:
          items:
            $ref: '#/components/schemas/RBACResource'
          type: array
        cluster_id:
          type: string
        created_at:
          type: string
        graph:
          $ref: '#/components/schemas/Graph'
        name:
          type: string
        namespace:
          type: string
        resource_version:
          type: string
        role_bindings:
          items:
            $ref: '#/components/schemas/RoleBinding'
          type: array
        rules:
          items:
            $ref: '#/components/schemas/Rule'
          type: array
        uid:
          type: string
        updated_at:
          type: string
      type: object

````